#ifndef INC_CONFIG_H
#define INC_CONFIG_H

#include "settings.h"

class Config
{
    public:
	double rating;

	UseAALevel useAA;
	bool showGrid;
	bool zoomEnabled;
	bool rotatingView;
	int fps;
	bool showFPS;
	bool music;
	double aaGamma;
	
	bool shouldUpdateRating;

	void read();
	void write() const;
	void importSettings(const Settings& settings);
	void exportSettings(Settings& settings) const;

	Config();
};

extern Config config;

#endif /* INC_CONFIG_H */
